{********************************************************************************
            Copyright (c) PilotLogic Software House                  
  
 Package pl_GlassDocking
 This file is part of CodeTyphon Studio (https://www.pilotlogic.com/)  
                                                                               
   ****** BEGIN LICENSE BLOCK *****     
                                                              
   The contents of this file are used with permission, subject to the Mozilla   
   Public License Version 2.0 (the "License"); you may not use this file except 
   in compliance with the License. You may obtain a copy of the License at      
   https://www.mozilla.org/en-US/MPL/2.0/                                     
                                                                               
   Software distributed under the License is distributed on an "AS IS" basis,   
   WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for 
   the specific language governing rights and limitations under the License. 
   
   ****** END LICENSE BLOCK *****  
  
**********************************************************************************}

unit gd_dockingoptions;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils,Controls,
  dialogs, forms, ButtonPanel,
  gd_dockingstr,gd_dockingbase, gd_dockingOptionsDlg;

type

TGlassDockOptions = class(TCommonDialog)
 private
 protected
    function  GetDockMaster:TGlassDockMaster;
    function DoExecute : boolean; override;
 public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;     
    property DockMaster: TGlassDockMaster read GetDockMaster;
 published
 end;

implementation

constructor TGlassDockOptions.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
end;

destructor TGlassDockOptions.Destroy;
begin

  inherited Destroy;
end; 

function  TGlassDockOptions.GetDockMaster:TGlassDockMaster;
begin
  result:=VarBaseDockMaster;
end;

function TGlassDockOptions.DoExecute : boolean;
var
  Dlg: TForm;
  OptsFrame: TGlassDockOptionsFrame;
  BtnPanel: TButtonPanel;
begin
  Result:=false;
  if DockMaster=nil then exit;

  Dlg := TForm.Create(nil);
  try
    Dlg.DisableAutoSizing;
    try
    Dlg.Position := poScreenCenter;
    //Dlg.AutoSize := True;
    Dlg.Caption := adrsGeneralDockingOptions;

    OptsFrame := TGlassDockOptionsFrame.Create(Dlg);
    OptsFrame.Align := alClient;
    OptsFrame.Parent := Dlg;
    OptsFrame.Master := DockMaster;
    OptsFrame.LoadDefault;

    BtnPanel := TButtonPanel.Create(Dlg);
    BtnPanel.ShowButtons := [pbOK, pbCancel];
    BtnPanel.OKButton.OnClick := @OptsFrame.OkClick;
    BtnPanel.Parent := Dlg;
                                   
    Dlg.Width:=OptsFrame.Width;
    Dlg.Height:=OptsFrame.Height+BtnPanel.Height;

    finally
      Dlg.EnableAutoSizing;
    end;
    Result := (Dlg.ShowModal=0);
  finally
    Dlg.Free;
  end;
end;

end.

